Bug 251991 - Hal misdetects USB flash drive as media player (iPod)
Hal misdetects USB flash drive as media player (iPod)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-13 14:34 EDT by Stewart Adam
Modified: 2013-03-05 22:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-03 14:56:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2007-08-13 14:34:09 EDT
Description of problem:
As expected, when plugging in a flash drive a disk icon appears on the desktop
and the similarly, when attaching an iPod an iPod icon appears on the desktop.
However, when attaching a generic 1GB USB drive I bought at Circuit City, an
iPod icon appears.

Version-Release number of selected component (if applicable):
hal-info-20070725-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Plug in the Flash Drive SM USB20 AA04012700021748 device
  
Actual results:
A iPod icon appears on the desktop

Expected results:
The USB Disk icon appears instead 

Additional info:
See the similar bug https://bugs.launchpad.net/ubuntu/+source/hal-info/+bug/90286
lshal output for the device:

$ lshal -u storage_serial_Flash_Drive_SM_USB20_AA04012700021748_0_0 -l

udi =
'/org/freedesktop/Hal/devices/storage_serial_Flash_Drive_SM_USB20_AA04012700021748_0_0'
  block.device = '/dev/sdc'  (string)
  block.is_volume = false  (bool)
  block.major = 8  (0x8)  (int)
  block.minor = 32  (0x20)  (int)
  block.storage_device =
'/org/freedesktop/Hal/devices/storage_serial_Flash_Drive_SM_USB20_AA04012700021748_0_0'
 (string)
  info.addons = {'hald-addon-storage'} (string list)
  info.capabilities = {'storage', 'block', 'portable_audio_player'} (string list)
  info.category = 'portable_audio_player'  (string)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_90c_1000_AA04012700021748_if0_scsi_host_scsi_device_lun0'
 (string)
  info.product = 'Drive SM_USB20'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/storage_serial_Flash_Drive_SM_USB20_AA04012700021748_0_0'
 (string)
  info.vendor = 'Flash'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  linux.sysfs_path = '/sys/block/sdc'  (string)
  portable_audio_player.access_method = 'storage'  (string)
  portable_audio_player.input_formats = {'audio/mpeg'} (string list)
  portable_audio_player.output_formats = {'audio/mpeg'} (string list)
  portable_audio_player.storage_device =
'/org/freedesktop/Hal/devices/storage_serial_Flash_Drive_SM_USB20_AA04012700021748_0_0'
 (string)
  portable_audio_player.type = 'generic'  (string)
  storage.automount_enabled_hint = true  (bool)
  storage.bus = 'usb'  (string)
  storage.drive_type = 'disk'  (string)
  storage.firmware_version = '1100'  (string)
  storage.hotpluggable = true  (bool)
  storage.lun = 0  (0x0)  (int)
  storage.media_check_enabled = true  (bool)
  storage.model = 'Drive SM_USB20'  (string)
  storage.no_partitions_hint = false  (bool)
  storage.originating_device =
'/org/freedesktop/Hal/devices/usb_device_90c_1000_AA04012700021748_if0'  (string)
  storage.partitioning_scheme = 'mbr'  (string)
  storage.physical_device =
'/org/freedesktop/Hal/devices/usb_device_90c_1000_AA04012700021748_if0'  (string)
  storage.removable = true  (bool)
  storage.removable.media_available = true  (bool)
  storage.removable.media_size = 1015021568  (0x3c800000)  (uint64)
  storage.removable.support_async_notification = false  (bool)
  storage.requires_eject = false  (bool)
  storage.serial = 'Flash_Drive_SM_USB20_AA04012700021748-0:0'  (string)
  storage.size = 0  (0x0)  (uint64)
  storage.vendor = 'Flash'  (string)
Comment 1 Stewart Adam 2007-10-11 22:46:44 EDT
This problem is still present with hal-0.5.10-0.git20070925.fc8 and
hal-info-20070925-1.fc8.

What's the current status of this? The fix looks easy according to the Ubuntu
bug. This problem seems minor but it's really annoying since Rhythmbox always
tries to scan the drive and prevents it from being unmounted.
Comment 2 Bug Zapper 2008-04-04 09:35:42 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Stewart Adam 2008-04-04 16:57:46 EDT
I don't have this USB drive anymore so I'm unable to test it, however Ubuntu has
a fix:
https://bugs.launchpad.net/ubuntu/+source/hal-info/+bug/90286/comments/23
Not sure if this made it into our hal-info package.
Comment 4 Stewart Adam 2008-07-03 14:56:24 EDT
I'm closing this since as I mentioned I can't test this bug exists anymore.

Note You need to log in before you can comment on or make changes to this bug.